<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="SUB_P1102_NORMAL_EARNING" language="groovy" pageWidth="181" pageHeight="100" whenNoDataType="BlankPage" columnWidth="181" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" whenResourceMissingType="Empty" isIgnorePagination="true" uuid="652b3c1e-fb91-4904-8c43-c21868e28d7b">
	<property name="ireport.zoom" value="1.7715610000000017"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="COMPANY_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["21111"]]></defaultValueExpression>
	</parameter>
	<parameter name="EMPLOYEE_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["17"]]></defaultValueExpression>
	</parameter>
	<parameter name="LOGON_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["-2"]]></defaultValueExpression>
	</parameter>
	<parameter name="PAYROLL_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["3"]]></defaultValueExpression>
	</parameter>
	<parameter name="PAYROLLDETAIL_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["1"]]></defaultValueExpression>
	</parameter>
	<parameter name="RUNTYPE_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["1"]]></defaultValueExpression>
	</parameter>
	<parameter name="BATCH_COUNT" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["0"]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT "P_REPORT_EARNING"."COMPANY_ID",
"P_REPORT_EARNING"."EMPLOYEE_ID",
"P_REPORT_EARNING"."PAYROLL_ID",
"P_REPORT_EARNING"."PAYROLLDETAIL_ID",
"P_REPORT_EARNING"."RUNTYPE_ID",
"P_REPORT_EARNING"."DESCRIPTION",
"P_REPORT_EARNING"."QTY_VALUE",
"P_REPORT_EARNING"."VALUE",
"P_VARIABLE"."DESCRIPTION" AS P_DESCRIPTION,
"P_REPORT_EARNING"."COST_DETAIL",
"P_REPORT_EARNING"."BATCH_COUNT"
FROM "DBA"."P_REPORT_EARNING" "P_REPORT_EARNING"
LEFT OUTER JOIN "DBA"."P_VARIABLE" "P_VARIABLE"
ON "P_REPORT_EARNING"."VARIABLE_ID"="P_VARIABLE"."VARIABLE_ID"
WHERE  "P_REPORT_EARNING"."COMPANY_ID"=$P{COMPANY_ID}
AND "P_REPORT_EARNING"."EMPLOYEE_ID"=$P{EMPLOYEE_ID}
AND "P_REPORT_EARNING"."PAYROLL_ID"=$P{PAYROLL_ID}
AND "P_REPORT_EARNING"."PAYROLLDETAIL_ID"=$P{PAYROLLDETAIL_ID}
AND "P_REPORT_EARNING"."RUNTYPE_ID"=$P{RUNTYPE_ID}
AND "P_REPORT_EARNING"."BATCH_COUNT"=$P{BATCH_COUNT}
AND ("P_REPORT_EARNING"."COST_DETAIL"='YN'
OR "P_REPORT_EARNING"."COST_DETAIL"='YY')
ORDER BY "P_REPORT_EARNING"."DESCRIPTION"]]>
	</queryString>
	<field name="COMPANY_ID" class="java.math.BigDecimal"/>
	<field name="EMPLOYEE_ID" class="java.math.BigDecimal"/>
	<field name="PAYROLL_ID" class="java.math.BigDecimal"/>
	<field name="PAYROLLDETAIL_ID" class="java.math.BigDecimal"/>
	<field name="RUNTYPE_ID" class="java.math.BigDecimal"/>
	<field name="DESCRIPTION" class="java.lang.String"/>
	<field name="QTY_VALUE" class="java.math.BigDecimal"/>
	<field name="VALUE" class="java.math.BigDecimal"/>
	<field name="P_DESCRIPTION" class="java.lang.String"/>
	<field name="COST_DETAIL" class="java.lang.String"/>
	<field name="BATCH_COUNT" class="java.lang.Integer"/>
	<group name="GrpVar">
		<groupExpression><![CDATA[($F{P_DESCRIPTION}!=null)?$F{P_DESCRIPTION}:$F{DESCRIPTION}]]></groupExpression>
	</group>
	<title>
		<band height="16">
			<textField>
				<reportElement x="0" y="0" width="100" height="16" uuid="02c4db1e-4204-43b5-985d-cf6955eafaa5"/>
				<textElement>
					<font size="8" isBold="true"/>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA["EARNINGS:"]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<detail>
		<band height="14">
			<textField evaluationTime="Group" evaluationGroup="GrpVar">
				<reportElement x="0" y="0" width="58" height="13" uuid="30f23b45-5576-4fba-877d-07c6e32d965f"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{QTY_VALUE}>0.00?$F{QTY_VALUE}:""]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Group" evaluationGroup="GrpVar">
				<reportElement x="58" y="0" width="65" height="13" uuid="d2e50dfb-98d5-47a3-86d0-c3b621bf9685"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="1"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{P_DESCRIPTION}==null?$F{DESCRIPTION}:$F{P_DESCRIPTION}]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Group" evaluationGroup="GrpVar">
				<reportElement x="123" y="0" width="58" height="13" uuid="e0a3c771-18ac-4947-9ffd-4a5c5d501c08"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="1" rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{VALUE}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
